Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/api_students.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/api_students.rst	(revision 13075)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/api_students.rst	(revision 13076)
@@ -1,4 +1,4 @@
-`students` -- Student Section Components Package
-************************************************
+`students` -- Students Section Components Package
+*************************************************
 
 (see also: :ref:`api-students-modules`)
Index: main/waeup.kofa/trunk/docs/source/userdocs/applicants.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/applicants.rst	(revision 13075)
+++ main/waeup.kofa/trunk/docs/source/userdocs/applicants.rst	(revision 13076)
@@ -1,8 +1,8 @@
-.. _applicant_section:
+.. _applicants_section:
 
-Applicant Section :sup:`in progress`
-************************************
+Applicants Section :sup:`in progress`
+*************************************
 
-Applicants and Students are different entities. Moreover, the student section is completely independent from the applicant section. Kofa can be configured without its `applicants` module but not without its `students` module.
+Applicants and Students are different entities and stored in different places. Moreover, the students section is completely independent from the applicants section. Kofa can be configured without its `applicants` module but not without its `students` module.
 
 Anonymous users can self-register and automatically become applicants (users) of the portal. The number of applicants is not limited and, theoretically, Kofa can host hundredthousands of applicants in various applicants containers. Usually, only a few of them are beeing accepted for studying at the university. Once the application process has ended, admitted applicants are transformed into student records.  New student records are created and the data are copied from the applicant records. When this 'student creation' process is finished, the applicant records are dispensable. Aim was to provide an easy way to get rid of the huge batches of applicant records by only one click, in order to keep the database clean and tidy. The process is described further below.
@@ -10,3 +10,5 @@
 .. note::
 
-  The term 'application' has a double meaning in English. An 'application' in computer sciences is understood as a software or web application. Software developers may get confused by using the term in a different context. To take this into account, we prefer to speak of an 'applicant' in this documentation, instead of an 'application' although, in the linguistic context, it sometimes makes more sense to speak of the latter. However, in the user interface (UI) and also in Python docstrings the term 'application' predominates.
+  The term 'application' has a double meaning in English. An 'application' in computer sciences stands for a software or web application. Software developers may get confused by using the term in a different context. To take this into account, we prefer to speak of 'applicant' in this documentation, instead of 'application' although, in the linguistic context, it sometimes makes more sense to speak of the latter. However, in the user interface (UI) and also in Python docstrings the term 'application' predominates.
+
+In contrast to student containers, applicant containers do not contain subcontainers. The only objects they contain are applicant payment tickets (i.e. instances `ApplicantOnlinePayment`). Thus it does not make sense to speak of a  treelike structure. In contrast to the students section
Index: main/waeup.kofa/trunk/docs/source/userdocs/security.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/security.rst	(revision 13075)
+++ main/waeup.kofa/trunk/docs/source/userdocs/security.rst	(revision 13076)
@@ -89,6 +89,6 @@
    :noindex:
 
-Applicant Section Permissions
------------------------------
+Applicants Section Permissions
+------------------------------
 
 .. autoclass:: waeup.kofa.applicants.permissions.ViewApplication()
@@ -107,6 +107,6 @@
    :noindex:
 
-Student Section Permissions
----------------------------
+Students Section Permissions
+----------------------------
 
 .. autoclass:: waeup.kofa.students.permissions.ViewStudent()
@@ -199,9 +199,9 @@
    :noindex:
 
-Global Applicant Section Roles
-------------------------------
-
-Global Applicant Section Roles are assigned portal-wide (globally)
-but do actually only allocate permissions in the applicant section.
+Global Applicants Section Roles
+-------------------------------
+
+Global Applicants Section Roles are assigned portal-wide (globally)
+but do actually only allocate permissions in the applicants section.
 
 .. autoclass:: waeup.kofa.applicants.permissions.ApplicantRole()
@@ -214,9 +214,9 @@
    :noindex:
 
-Global Student Section Roles
-----------------------------
-
-Global Student Section Roles are assigned portal-wide (globally) but
-do actually only allocate permissions in the student section.
+Global Students Section Roles
+-----------------------------
+
+Global Students Section Roles are assigned portal-wide (globally) but
+do actually only allocate permissions in the students section.
 
 .. autoclass:: waeup.kofa.students.permissions.StudentRole()
@@ -249,5 +249,5 @@
 strange that some of these 'odd' roles do not give more permissions
 than the user already has due to other roles. Their real purpose is to
-delegate permissions to the students or applicant section. If a user
+delegate permissions to the students or applicants section. If a user
 has for example the LocalStudentsManager role described below at
 department level, s/he automatically gets the StudentsManager role for
Index: main/waeup.kofa/trunk/docs/source/userdocs/students.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/students.rst	(revision 13075)
+++ main/waeup.kofa/trunk/docs/source/userdocs/students.rst	(revision 13076)
@@ -1,6 +1,6 @@
 .. _student_section:
 
-Student Section
-***************
+Students Section
+****************
 
 'Student' is a multi-purpose term in Kofa which may lead to some
@@ -13,8 +13,8 @@
 
 The :ref:`treelike storage of objects <object_database>` in the
-student section can be figured as follows::
+students section can be figured as follows::
 
 
-  Student Section (StudentsContainer)
+  Students Section (StudentsContainer)
   |
   +---> Student
Index: main/waeup.kofa/trunk/docs/source/userdocs/students/browser.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/students/browser.rst	(revision 13075)
+++ main/waeup.kofa/trunk/docs/source/userdocs/students/browser.rst	(revision 13076)
@@ -1,6 +1,6 @@
 .. _students_browser:
 
-Browsing the Student Section
-============================
+Browsing the Students Section
+=============================
 
 The reader may ask: How do officers and students browse the portal?
@@ -376,5 +376,5 @@
 
 Lecturers cannot access student records directly. They don't have
-access to the student section. Instead, lecturers go to their course
+access to the students section. Instead, lecturers go to their course
 in the academic section and view or export lists of students who
 attended the course, either in a previous or in the current session.
Index: main/waeup.kofa/trunk/docs/source/userdocs/students/interfaces.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/students/interfaces.rst	(revision 13075)
+++ main/waeup.kofa/trunk/docs/source/userdocs/students/interfaces.rst	(revision 13076)
@@ -308,4 +308,7 @@
 -----------------------
 
+`IStudentOnlinePayment` instances are called student payment tickets
+or sometimes only payments. They contain the data which confirm that
+the student has paid a specific fee.
 `waeup.kofa.students.interfaces.IStudentOnlinePayment` inherits from
 `waeup.kofa.payments.interfaces.IOnlinePayment` and has only two
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13076)
@@ -72,5 +72,5 @@
     grok.require('waeup.Public')
     form_fields = grok.AutoFields(IApplicantsRoot)
-    label = _('Applicant Section')
+    label = _('Applicants Section')
     pnav = 3
 
@@ -127,5 +127,5 @@
     grok.template('applicantsrootmanagepage')
     form_fields = grok.AutoFields(IApplicantsRoot)
-    label = _('Manage applicant section')
+    label = _('Manage applicants section')
     pnav = 3
     grok.require('waeup.manageApplication')
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13076)
@@ -476,5 +476,5 @@
 
     This reduced interface is for former students or students who are not
-    users of the portal but have to pay supplementary fees.
+    student users of the portal but have to pay supplementary fees.
 
     This interface is used in browser components only. Thus we can't add
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13076)
@@ -204,5 +204,5 @@
         self.assertRaises(
             LinkNotFoundError,
-            self.browser.getLink, 'Manage applicant section')
+            self.browser.getLink, 'Manage applicants section')
         self.assertRaises(
             Unauthorized, self.browser.open, self.manage_root_path)
@@ -216,7 +216,7 @@
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.browser.open(self.root_path)
-        self.assertTrue('Manage applicant section' in self.browser.contents)
+        self.assertTrue('Manage applicants section' in self.browser.contents)
         # There is a manage link
-        link = self.browser.getLink('Manage applicant section')
+        link = self.browser.getLink('Manage applicants section')
         link.click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
@@ -252,5 +252,5 @@
         self.browser.getControl("Save").click()
         self.browser.open(self.root_path)
-        self.assertTrue('Manage applicant section' in self.browser.contents)
+        self.assertTrue('Manage applicants section' in self.browser.contents)
         # There is a search link
         link = self.browser.getLink('Find applicants')
@@ -562,5 +562,5 @@
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertFalse('Search' in self.browser.contents)
-        self.assertFalse('Manage applicant section' in self.browser.contents)
+        self.assertFalse('Manage applicants section' in self.browser.contents)
         # ... and can't access the manage page
         self.assertRaises(
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 13076)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""General helper functions and utilities for the applicant section.
+"""General helper functions and utilities for the applicants section.
 """
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 13076)
@@ -97,5 +97,5 @@
     grok.view(ApplicantsRootPage)
     grok.require('waeup.manageApplication')
-    text = _('Manage applicant section')
+    text = _('Manage applicants section')
 
 class ApplicantRegisterActionButton(ManageActionButton):
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 13076)
@@ -288,5 +288,5 @@
     grok.template('containermanagepage')
     pnav = 4
-    label = _('Manage student section')
+    label = _('Manage students section')
     search_button = _('Find student(s)')
     remove_button = _('Remove selected')
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 13076)
@@ -179,5 +179,5 @@
 class IStudentNavigation(IStudentNavigationBase):
     """Interface needed for navigation and logging. This interface is
-    implemented by all content classes in the student section.
+    implemented by all content classes in the students section.
     """
     student = Attribute('Student object of context')
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/permissions.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/permissions.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/permissions.py	(revision 13076)
@@ -17,9 +17,9 @@
 ##
 """
-Permissions for the student section.
+Permissions for the students section.
 """
 import grok
 
-# Student section permissions
+# Students section permissions
 
 class HandleStudent(grok.Permission):
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 13076)
@@ -257,5 +257,5 @@
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertEqual(self.browser.url, self.container_path)
-        self.browser.getLink("Manage student section").click()
+        self.browser.getLink("Manage students section").click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertEqual(self.browser.url, self.manage_container_path)
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 13076)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""General helper functions and utilities for the student section.
+"""General helper functions and utilities for the students section.
 """
 import grok
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 13076)
@@ -139,5 +139,5 @@
     grok.view(StudentsContainerPage)
     grok.require('waeup.manageStudent')
-    text = _('Manage student section')
+    text = _('Manage students section')
 
 class StudentsContainerAddActionButton(AddActionButton):
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/vocabularies.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/vocabularies.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/vocabularies.py	(revision 13076)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Vocabularies and sources for the student section.
+"""Vocabularies and sources for the students section.
 """
 from zope.component import getUtility, queryUtility
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py	(revision 13075)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py	(revision 13076)
@@ -57,5 +57,5 @@
 class CertificateCoursesIndexes(grok.Indexes):
     """This catalog is needed for automatic removal of certificate courses
-    and later for selection of course tickets in the student section.
+    and later for selection of course tickets in the students section.
     """
     grok.site(IUniversity)