Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13088)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13089)
@@ -27,5 +27,4 @@
 from zope.schema.interfaces import (
     ValidationError, ISource, IContextSourceBinder)
-from waeup.kofa.browser.interfaces import IApplicantBase
 from waeup.kofa.schema import TextLineChoice, FormattedDate
 from waeup.kofa.interfaces import (
@@ -321,5 +320,5 @@
     'year'].order =  IApplicantsContainer['year'].order
 
-class IApplicantBaseData(IApplicantBase):
+class IApplicantBaseData(IKofaObject):
     """This is a base interface of an applicant with no field
     required. For use with processors, forms, etc., please use one of
@@ -458,18 +457,11 @@
         """
 
-class ISpecialApplicant(IApplicantBase):
+class ISpecialApplicant(IKofaObject):
     """This reduced interface is for former students or students who are not
-    student users of the portal but have to pay supplementary fees.
-
+    users of the portal but have to pay supplementary fees.
     This interface is used in browser components only. Thus we can't add
     fields here to the regular IApplicant interface here. We can
     only 'customize' fields.
     """
-    history = Attribute('Object history, a list of messages')
-    state = Attribute('The application state of an applicant')
-    display_fullname = Attribute('The fullname of an applicant')
-    application_date = Attribute('UTC datetime of submission, used for export only')
-    password = Attribute('Encrypted password of a applicant')
-    application_number = Attribute('The key under which the record is stored')
 
     suspended = schema.Bool(
@@ -582,6 +574,5 @@
         )
 
-IApplicantEdit['email'].order = IApplicantEdit[
-    'sex'].order
+IApplicantEdit['email'].order = IApplicantEdit['sex'].order
 
 class IApplicantUpdateByRegNo(IApplicant):
@@ -622,5 +613,4 @@
 class IApplicantOnlinePayment(IOnlinePayment):
     """An applicant payment via payment gateways.
-
     """
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 13088)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 13089)
@@ -190,12 +190,7 @@
 
 class IStudentNavigationBase(IKofaObject):
-    """Objects that provide student navigation (whatever it is) should
+    """Objects that provide student navigation should
        implement this interface.
     """
     student = Attribute('''Some student object that has a '''
                         ''' `display_fullname` attribute.''')
-
-class IApplicantBase(IKofaObject):
-    """Some Applicant.
-    """
-    display_fullname = Attribute('''Fullname.''')
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py	(revision 13088)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py	(revision 13089)
@@ -35,6 +35,5 @@
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.utils.helpers import to_timezone
-from waeup.kofa.browser.interfaces import (
-    IStudentNavigationBase, IApplicantBase)
+from waeup.kofa.browser.interfaces import IStudentNavigationBase
 from waeup.kofa.authentication import get_principal_role_manager
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/changepw.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/changepw.pt	(revision 13088)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/changepw.pt	(revision 13089)
@@ -16,5 +16,5 @@
     </tbody>
   </table>
-
+  <br />
   <p i18n:translate="email_address_problem">
     Enter the email address stored in Kofa.
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/loginpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/loginpage.pt	(revision 13088)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/loginpage.pt	(revision 13089)
@@ -30,5 +30,5 @@
     Inititialize your student account <strong><a href="requestpw"> here</a></strong>.
   </p>
-  <p i18n:translate="login_trouble3"> Or simply forgot your student id, application id or password? Then request a new password
+  <p i18n:translate="login_trouble3"> Or simply forgot your student id, applicant id or password? Then request a new password
     <strong><a href="changepw"> here</a></strong>.
   </p>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 13088)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 13089)
@@ -1073,5 +1073,5 @@
                 return
             # Mark pin as used (this also fires a pin related transition)
-            # and fire transition start_clearance
+            # and fire transition request_transcript
             comment = _(u"invalidated")
             # Here we know that the ac is in state initialized so we do not