Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/export.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/export.py	(revision 13058)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/export.py	(revision 13092)
@@ -28,9 +28,11 @@
     """
 
+    # In contrast to ApplicantExporter we export all fields
+    # and attributes of the interfaces.
     fields = tuple(sorted(set(
         INigeriaUGApplicant.names() +
         INigeriaPGApplicant.names() +
         IApplicantBaseData.names()
-        ))) + ('container_code',)
+        )))
 
     def mangle_value(self, value, name, context=None):
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 13058)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 13092)
@@ -362,21 +362,20 @@
         self.assertMatches(result,
             'aggregate,applicant_id,application_date,application_number,'
-            'course1,course2,course_admitted,date_of_birth,display_fullname,'
-            'email,emp2_end,emp2_position,emp2_reason,emp2_start,emp_end,'
-            'emp_position,emp_reason,emp_start,employer,employer2,'
-            'firstname,history,hq_degree,hq_disc,hq_matric_no,hq_school,'
-            'hq_session,hq_type,jamb_age,jamb_score,jamb_subjects,lastname,lga,'
-            'locked,middlename,nationality,notice,nysc_lga,nysc_year,'
-            'password,phone,pp_school,presently_inst,reg_number,'
-            'result_uploaded,screening_date,screening_score,'
-            'screening_venue,sex,special_application,'
-            'state,student_id,suspended,container_code\r\n'
-            ',dp2011_654321,,654321,CERT1,CERT1,CERT1,1981-02-04#,'
+            'container_code,course1,course2,course_admitted,date_of_birth,'
+            'display_fullname,email,emp2_end,emp2_position,emp2_reason,'
+            'emp2_start,emp_end,emp_position,emp_reason,emp_start,employer,'
+            'employer2,firstname,history,hq_degree,hq_disc,hq_matric_no,'
+            'hq_school,hq_session,hq_type,jamb_age,jamb_score,jamb_subjects,'
+            'lastname,lga,locked,middlename,nationality,notice,nysc_lga,'
+            'nysc_year,password,phone,pp_school,presently_inst,reg_number,'
+            'result_uploaded,screening_date,screening_score,screening_venue,'
+            'sex,special,special_application,state,student_id,suspended,'
+            'translated_state\r\n'
+            ',dp2011_654321,,654321,dp2011,CERT1,CERT1,CERT1,1981-02-04#,'
             'Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,'
-            '[u\'2012-10-28 21:27:52 WAT - Application initialized by system\']'
-            ',,,,,,,,,,Tester,,0,M.,NG,"Some notice\nin lines.",,,'
-            'any password,+234-123-12345#,,,123456,,'
-            '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,,initialized,,'
-            '0,dp2011\r\n')
+            '[u\'2015-06-23 07:31:05 WAT - Application initialized by system\']'
+            ',,,,,,,,,,Tester,,0,M.,NG,"Some notice in lines.",,,any password,'
+            '+234-123-12345#,,,123456,,"Saturday, 16th June 2012 2:00:00 PM",'
+            '98,Exam Room,f,,,initialized,,0,initialized\r\n')
         # We can import the same file if we ignore some columns.
         # Since the applicants_catalog hasn't been notified, the same
@@ -385,17 +384,15 @@
         result = processor.doImport(
             self.outfile,
-            ['aggreagate','ignore_applicant_id','application_date',
-            'ignore_application_number','course1','course2',
-            'course_admitted','date_of_birth','ignore3','email','emp2_end',
-            'emp2_position','emp2_reason','emp2_start','emp_end','emp_position',
-            'emp_reason','emp_start','employer','employer2','firstname','ignore4',
-            'hq_degree','hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_age','jamb_score','jamb_subjects','lastname','lga','locked',
-            'middlename','nationality','notice','nysc_lga',
-            'nysc_year','password','phone','pp_school','presently_inst',
-            'reg_number','result_uploaded',
-            'screening_date','screening_score','screening_venue','sex',
-            'special_application',
-            'state','student_id','suspended','container_code'],
+            ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
+            'container_code','course1','course2','course_admitted','date_of_birth',
+            'ignore_display_fullname','email','emp2_end','emp2_position','emp2_reason',
+            'emp2_start','emp_end','emp_position','emp_reason','emp_start','employer',
+            'employer2','firstname','ignore_history','hq_degree','hq_disc','hq_matric_no',
+            'hq_school','hq_session','hq_type','jamb_age','jamb_score','jamb_subjects',
+            'lastname','lga','locked','middlename','nationality','notice','nysc_lga',
+            'nysc_year','password','phone','pp_school','presently_inst','reg_number',
+            'result_uploaded','screening_date','screening_score','screening_venue',
+            'sex','ignore_special','special_application','state','student_id','suspended',
+            'translated_state'],
             mode='create')
         num_succ, num_fail, finished_path, failed_path = result
@@ -411,16 +408,15 @@
         result = processor.doImport(
             self.outfile,
-            ['aggregate','ignore_applicant_id','application_date',
-            'ignore_application_number','course1','course2',
-            'course_admitted','date_of_birth','ignore3','email','emp2_end',
-            'emp2_position','emp2_reason','emp2_start','emp_end','emp_position',
-            'emp_reason','emp_start','employer','employer2','firstname','ignore4',
-            'hq_degree','hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_age','jamb_score','jamb_subjects','lastname','lga','locked',
-            'middlename','nationality','notice','nysc_lga',
-            'nysc_year','password','phone','pp_school','presently_inst',
-            'reg_number','result_uploaded','screening_date','screening_score',
-            'screening_venue','sex','special_application',
-            'state','student_id','suspended','ignore_container_code'],
+            ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
+            'ignore_container_code','course1','course2','course_admitted','date_of_birth',
+            'ignore_display_fullname','email','emp2_end','emp2_position','emp2_reason',
+            'emp2_start','emp_end','emp_position','emp_reason','emp_start','employer',
+            'employer2','firstname','ignore_history','hq_degree','hq_disc','hq_matric_no',
+            'hq_school','hq_session','hq_type','jamb_age','jamb_score','jamb_subjects',
+            'lastname','lga','locked','middlename','nationality','notice','nysc_lga',
+            'nysc_year','password','phone','pp_school','presently_inst','reg_number',
+            'result_uploaded','screening_date','screening_score','screening_venue',
+            'sex','ignore_special','special_application','state','student_id','suspended',
+            'translated_state'],
             mode='update')
         num_succ, num_fail, finished_path, failed_path = result