Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/export.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/export.py	(revision 12982)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/export.py	(revision 13097)
@@ -36,3 +36,3 @@
         INigeriaPGApplicant.names() +
         IApplicantBaseData.names()
-        ))) + ('container_code',)
+        )))
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py	(revision 12982)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py	(revision 13097)
@@ -79,10 +79,10 @@
         self.assertMatches(result,
             'aggregate,applicant_id,application_date,application_number,'
-            'body_responsible_address,course1,course2,course_admitted,'
-            'date_of_birth,display_fullname,email,emp2_end,emp2_position,'
-            'emp2_reason,emp2_start,emp_end,emp_position,emp_reason,'
-            'emp_start,employer,employer2,firstname,history,hq_degree,'
-            'hq_disc,hq_matric_no,hq_school,hq_session,hq_type,'
-            'jamb_reg_number,jamb_score,jamb_subjects,lastname,lga,'
+            'body_responsible_address,container_code,course1,course2,'
+            'course_admitted,date_of_birth,display_fullname,email,emp2_end,'
+            'emp2_position,emp2_reason,emp2_start,emp_end,emp_position,'
+            'emp_reason,emp_start,employer,employer2,firstname,'
+            'history,hq_degree,hq_disc,hq_matric_no,hq_school,hq_session,'
+            'hq_type,jamb_reg_number,jamb_score,jamb_subjects,lastname,lga,'
             'locked,marit_stat,middlename,nationality,next_kin_address,'
             'notice,nysc_lga,nysc_year,olevel_exam_date,olevel_exam_date2,'
@@ -91,13 +91,13 @@
             'olevel_type2,password,phone,pp_school,presently_inst,'
             'reg_number,religion,result_uploaded,screening_date,'
-            'screening_score,screening_venue,sex,special_application,'
-            'state,student_id,suspended,container_code\r\n'
-            ',dp2011_654321,,654321,,CERT1,CERT1,CERT1,1981-02-04#,'
+            'screening_score,screening_venue,sex,special,special_application,'
+            'state,student_id,suspended,translated_state\r\n'
+            ',dp2011_654321,,654321,,dp2011,CERT1,CERT1,CERT1,1981-02-04#,'
             'Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,'
-            '[u\'2015-05-22 05:35:35 WAT - Application initialized by system\']'
-            ',,,,,,,,,,Tester,,0,,M.,NG,,"Some notice\nin lines.",,,,,,,,,,,,,'
+            '[u\'2015-06-23 08:21:37 WAT - Application initialized by system\']'
+            ',,,,,,,,,,Tester,,0,,M.,NG,,"Some notice in lines.",,,,,,,,,,,,,'
             'any password,+234-123-12345#,,,123456,,,'
-            '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,,'
-            'initialized,,0,dp2011\r\n')
+            '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,'
+            'f,,,initialized,,0,initialized\r\n')
         # We can import the same file if we ignore some columns.
         # Since the applicants_catalog hasn't been notified, the same
@@ -106,12 +106,11 @@
         result = processor.doImport(
             self.outfile,
-            ['aggreagate','ignore_applicant_id','application_date',
-            'ignore_application_number',
-            'body_responsible_address','course1','course2','course_admitted',
-            'date_of_birth','display_fullname','email','emp2_end','emp2_position',
-            'emp2_reason','emp2_start','emp_end','emp_position','emp_reason',
-            'emp_start','employer','employer2','firstname','history','hq_degree',
-            'hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_reg_number','jamb_score','jamb_subjects','lastname','lga',
+            ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
+            'body_responsible_address','container_code','course1','course2',
+            'course_admitted','date_of_birth','ignore_display_fullname','email','emp2_end',
+            'emp2_position','emp2_reason','emp2_start','emp_end','emp_position',
+            'emp_reason','emp_start','employer','employer2','firstname',
+            'ignore_history','hq_degree','hq_disc','hq_matric_no','hq_school','hq_session',
+            'hq_type','jamb_reg_number','jamb_score','jamb_subjects','lastname','lga',
             'locked','marit_stat','middlename','nationality','next_kin_address',
             'notice','nysc_lga','nysc_year','olevel_exam_date','olevel_exam_date2',
@@ -120,6 +119,6 @@
             'olevel_type2','password','phone','pp_school','presently_inst',
             'reg_number','religion','result_uploaded','screening_date',
-            'screening_score','screening_venue','sex','special_application',
-            'state','student_id','suspended','container_code'],
+            'screening_score','screening_venue','sex','ignore_special','special_application',
+            'state','student_id','suspended','ignore_translated_state'],
             mode='create')
         num_succ, num_fail, finished_path, failed_path = result
@@ -134,12 +133,11 @@
         result = processor.doImport(
             self.outfile,
-            ['aggreagate','ignore_applicant_id','application_date',
-            'ignore_application_number',
-            'body_responsible_address','course1','course2','course_admitted',
-            'date_of_birth','display_fullname','email','emp2_end','emp2_position',
-            'emp2_reason','emp2_start','emp_end','emp_position','emp_reason',
-            'emp_start','employer','employer2','firstname','history','hq_degree',
-            'hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_reg_number','jamb_score','jamb_subjects','lastname','lga',
+            ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
+            'body_responsible_address','ignore_container_code','course1','course2',
+            'course_admitted','date_of_birth','ignore_display_fullname','email','emp2_end',
+            'emp2_position','emp2_reason','emp2_start','emp_end','emp_position',
+            'emp_reason','emp_start','employer','employer2','firstname',
+            'ignore_history','hq_degree','hq_disc','hq_matric_no','hq_school','hq_session',
+            'hq_type','jamb_reg_number','jamb_score','jamb_subjects','lastname','lga',
             'locked','marit_stat','middlename','nationality','next_kin_address',
             'notice','nysc_lga','nysc_year','olevel_exam_date','olevel_exam_date2',
@@ -148,6 +146,6 @@
             'olevel_type2','password','phone','pp_school','presently_inst',
             'reg_number','religion','result_uploaded','screening_date',
-            'screening_score','screening_venue','sex','special_application',
-            'state','student_id','suspended','ignore_container_code'],
+            'screening_score','screening_venue','sex','ignore_special','special_application',
+            'state','student_id','suspended','ignore_translated_state'],
             mode='update')
         num_succ, num_fail, finished_path, failed_path = result