Index: main/waeup.kofa/trunk/docs/source/userdocs/applicants/workflow.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/applicants/workflow.rst	(revision 13091)
+++ main/waeup.kofa/trunk/docs/source/userdocs/applicants/workflow.rst	(revision 13098)
@@ -7,5 +7,5 @@
 mentioned application workflow is shown here::
 
-           initialized
+            initialized
              |
              |a
@@ -27,5 +27,5 @@
              |f
              |
-           created
+            created
 
 
@@ -58,12 +58,4 @@
 
 
-
-
-.. _application_workflow_batch_processing:
-
-Workflow Batch Processing
-=========================
-
-
 .. _application_history:
 
@@ -71,2 +63,17 @@
 ===================
 
+All transitions are automatically logged in applicants.log and the applicant's history. And also the import of workflow states is recorded in the logfile and the history, see :ref:`student_history` for further information. This is a sample history of an applicant which passes through the application process without any complications::
+
+  2015-06-23 08:56:23 UTC - Application initialized by Anonymous
+  2015-06-23 08:57:42 UTC - Application started by Demo Applicant
+  2015-06-23 08:59:41 UTC - Payment approved by Benny Goodman
+  2015-06-23 09:00:50 UTC - Application submitted by Demo Applicant
+  2015-06-23 09:01:13 UTC - Applicant admitted by Benny Goodman
+  2015-06-23 09:02:36 UTC - Student record created (K1000003) by Benny Goodman
+
+Benny Goodman is the name of an applications manager. If the workflow state is set by import, the following message would
+have been added instead::
+
+  2015-06-23 09:01:13 UTC - State 'admitted' set by Benny Goodman
+
+Applicant histories are exportable but cannot be imported.
Index: main/waeup.kofa/trunk/docs/source/userdocs/browsing.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/browsing.rst	(revision 13091)
+++ main/waeup.kofa/trunk/docs/source/userdocs/browsing.rst	(revision 13098)
@@ -30,4 +30,18 @@
 Data' tab in the navigation bar.
 
+.. _navigation_bar:
+
+The navigation bar for an anonymous user:
+
+.. image:: navbar_anon.png
+
+The navigation bar for a student with drop-down menue:
+
+.. image:: navbar_student.png
+
+The navigation bar for an officer with lots of permissions:
+
+.. image:: navbar_officer.png
+
 Officers see a double-column theme after logging in. The left column
 contains a box which contains links to the user's preferences (My
@@ -40,24 +54,5 @@
 pages of an applicant or student record respectively.
 
-.. image:: navbox.png
-   :scale: 50 %
-
-
-.. _navigation_bar:
-
-Navigation Bar
-==============
-
-The navigation bar of an anonymous user:
-
-.. image:: navbar_anon.png
-
-The navigation bar of an officer with lots of permissions:
-
-.. image:: navbar_officer.png
-
-The navigation bar of a student with drop-down menue:
-
-.. image:: navbar_student.png
+.. image:: multicolumn.png
 
 
Index: main/waeup.kofa/trunk/docs/source/userdocs/students/workflow.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/students/workflow.rst	(revision 13091)
+++ main/waeup.kofa/trunk/docs/source/userdocs/students/workflow.rst	(revision 13098)
@@ -156,5 +156,5 @@
 However, these logfiles can only be accessed by some officers and
 are hidden from students. Since Kofa takes up the cause of
-transparancy, we were of the opinion, that also students must know,
+transparancy, we are of the opinion, that also students must know,
 when and by whom the state of their record was changed. Therefore we
 store all workflow-relevant changes additionally in the student
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/permissions.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/permissions.py	(revision 13091)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/permissions.py	(revision 13098)
@@ -88,6 +88,6 @@
 
 class ApplicationsManager(grok.Role):
-    """The Applications Officer is allowed to edit all application records.
-    The role allows also to add payment tickets.
+    """The Applications Manager is allowed to edit all application records.
+    The role also allows to add payment tickets.
     """
     grok.name('waeup.ApplicationsManager')