Index: main/waeup.kofa/trunk/docs/source/userdocs/applicants/browser.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/applicants/browser.rst	(revision 13098)
+++ main/waeup.kofa/trunk/docs/source/userdocs/applicants/browser.rst	(revision 13099)
@@ -1,4 +1,51 @@
-.. _applicants_browser:
+.. _applicant_registration:
 
-Browsing the Applicants Section :sup:`in progress`
-==================================================
+Registration
+============
+
+The `ApplicantRegistrationPage` allows two register in create or in
+update mode, depending on the
+:ref:`mode of its context<application_mode>`, i.e. the applicants
+container.
+
+In create mode, `firstname`, `middlename`, `lastname`, `email` and
+`phone` are requested. A new record is being created.
+
+In update mode, only `reg_number`, `lastname` and `email` have to be
+entered. Kofa searches for an applicant record with matching
+registration number and lowercased lastname. If the search does not
+yield a result, the flash message: 'No application record found' is
+returned. The anonymous user will not know, if the registration
+number does not exist, or the provided lastname does not match. A
+third ``if`` statement checks whether the password has already been
+set and used, i.e. the the application has already been started. If
+so, the anonymous user is being requested to proceed to the login
+page.
+
+In both registration modes a randomly generated password is set and
+the email address is saved. An email with login credentials is sent
+to this address. Finally, the browser is redirected to a landing
+page. Depending on the portals configuration, the landing page tells
+the user that an email has been send to her/his mailbox, or even
+discloses additionally the login credentials. The disclosure of
+credentials has two substantial drawbacks: (1) The login credentials
+can be misused by web crawlers for bulk account creation, which may
+cause the system to crash. (2) The email address provided by the
+user is not being verified and there is no guarantee that the
+address belongs to the user or that a mailbox with such an address
+exists. Therefore, we strongly recommend to only send credentials to
+email addresses.
+
+
+.. _applicant_payment_tickets:
+
+Payment
+=======
+
+
+
+.. _creating_students:
+
+Creating Student Records
+========================
+
Index: main/waeup.kofa/trunk/docs/source/userdocs/applicants/interfaces.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/applicants/interfaces.rst	(revision 13098)
+++ main/waeup.kofa/trunk/docs/source/userdocs/applicants/interfaces.rst	(revision 13099)
@@ -61,4 +61,6 @@
 into 'General Studies 2015/2016'. Consequently, **applicants cannot
 be moved from one container to another.**
+
+.. _application_mode:
 
 The application mode is either ``create`` or ``update``. In create
Index: main/waeup.kofa/trunk/docs/source/userdocs/applicants/workflow.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/applicants/workflow.rst	(revision 13098)
+++ main/waeup.kofa/trunk/docs/source/userdocs/applicants/workflow.rst	(revision 13099)
@@ -52,5 +52,5 @@
 **(c)**. Submitted records can be either sent back for editing and
 resubmission **(-c)**, accepted with admission confirmed **(d)** or
-accepted with admission refused **(e)**. Only application records
+accepted with admission refused **(e)**. Only applicant records
 with confirmed admission into the university can be transormed into
 student records. This final and **irreversible step** is accompanied
@@ -63,5 +63,10 @@
 ===================
 
-All transitions are automatically logged in applicants.log and the applicant's history. And also the import of workflow states is recorded in the logfile and the history, see :ref:`student_history` for further information. This is a sample history of an applicant which passes through the application process without any complications::
+All transitions are automatically logged in applicants.log and the
+applicant's history. And also the import of workflow states is
+recorded in the logfile and the history, see :ref:`student_history`
+for further information. This is a sample history of an applicant
+which passes through the application process without any
+complications::
 
   2015-06-23 08:56:23 UTC - Application initialized by Anonymous
@@ -72,5 +77,6 @@
   2015-06-23 09:02:36 UTC - Student record created (K1000003) by Benny Goodman
 
-Benny Goodman is the name of an applications manager. If the workflow state is set by import, the following message would
+Benny Goodman is the name of an applications manager. If the
+workflow state is set by him by import, the following message would
 have been added instead::
 
Index: main/waeup.kofa/trunk/docs/source/userdocs/students/browser.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/students/browser.rst	(revision 13098)
+++ main/waeup.kofa/trunk/docs/source/userdocs/students/browser.rst	(revision 13099)
@@ -131,5 +131,5 @@
 
 
-.. _payment_tickets:
+.. _student_payment_tickets:
 
 Payments