Index: /main/waeup.kofa/trunk/docs/source/userdocs/applicants/browser.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/applicants/browser.rst	(revision 13100)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/applicants/browser.rst	(revision 13101)
@@ -102,2 +102,62 @@
 ========================
 
+As brought up in the :ref:`application_workflow` chapter, the final
+step of the application process is the creation of the student
+record on the basis of the application data. Only applicants in
+state ``admitted`` can be turned into students. This is possible at
+various application section levels:
+
+1. Officers can create student records from single applicant
+   records. A link button appears on the display page of each admitted
+   applicants which directly triggers the creation process:
+
+  |create_student_button|
+
+2. The `ApplicantsContainerManageFormPage` provides a form button
+   which allows to create student records from above selected
+   applicants:
+
+  |create_selected_students_button|
+
+  Only admitted applicants will be processed. Other selected
+  applicants will be skipped without further notice
+
+3. Last but not least, the portal manager with user id ``admin``
+   does see a link buttons:
+
+  |create_students_button|
+
+  on the `ApplicantsContainerPage` and on the `ApplicantsRootPage`
+  which creates student records from applicants inside a single
+  applicants container or even portal-wide respectively.
+
+  The reader may wonder: Why only user ``admin``?
+
+  Batch creation of thousands or even tenthousands of student records
+  is very computation intensive and takes quite a long time, even on
+  powerful computers. Experience has shown that the portal must be
+  disconnected from the Internet in order to avoid database write
+  conflict errors, which cannot be resolved if also students access
+  the portal. Usually conflict errrors are not serious. Unresolved
+  conflicts just lead to an error message and the database remains
+  unchanged. Unfortunataly, student creation does not only affect the
+  object database. As we will see below, also folders and files in the
+  filesystem are added. These filesystem changes are not being
+  reverted after unresolved conflicts. This may cause serious problems.
+
+  So the answer to the question is trivial: We expect that the admin
+  user knows what s/he is doing and is careful enough to start the
+  creation process in maintenance mode, which means when the portal is
+  set offline.
+
+
+
+.. |create_student_button| image:: create_student_button.png
+   :scale: 50 %
+
+.. |create_students_button| image:: create_students_button.png
+   :scale: 50 %
+
+.. |create_selected_students_button| image:: create_selected_students_button.png
+   :scale: 50 %
+
Index: /main/waeup.kofa/trunk/docs/source/userdocs/students/browser.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/students/browser.rst	(revision 13100)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/students/browser.rst	(revision 13101)
@@ -72,4 +72,14 @@
 
 
+.. _clearance_form_locking:
+
+Clearance Form Locking
+======================
+
+
+
+
+
+
 .. _transferring_students:
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13100)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13101)
@@ -581,5 +581,4 @@
     """Create all student objects from applicant data
     in the root container or in a specific  applicants container only.
-
     Only PortalManagers can do this.
     """
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 13100)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 13101)
@@ -165,7 +165,7 @@
 
 class ApplicantsContainerCreateStudentsActionButton(ManageActionButton):
-    grok.order(1)
-    grok.context(IApplicantsContainer)
-    grok.view(ApplicantsStatisticsPage)
+    grok.order(5)
+    grok.context(IApplicantsContainer)
+    grok.view(ApplicantsContainerPage)
     grok.require('waeup.managePortal')
     icon = 'actionicon_entrance.png'