Index: main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 13016)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 13111)
@@ -66,7 +66,6 @@
         self.assertMatches('...Amount Authorized...',
                            self.browser.contents)
-        self.assertMatches(
-            '...<span>40000.0</span>...',
-            self.browser.contents)
+        self.assertTrue(
+            '<span>40000.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
 
@@ -87,18 +86,24 @@
         # The total amount to be processed by Interswitch
         # has been reduced by the Interswitch fee of 150 Nairas
-        self.assertMatches('...<input type="hidden" name="pay_item_id" value="5700" />...',
-                           self.browser.contents)
-        self.assertMatches('...Total Amount Authorized:...',
-                           self.browser.contents)
+        self.assertTrue('<input type="hidden" name="pay_item_id" value="5700" />'
+                           in self.browser.contents)
+        self.assertTrue('Total Amount Authorized:'
+                           in self.browser.contents)
         self.assertEqual(self.student.current_mode, 'ug_ft')
-        self.assertMatches(
-            '...<input type="hidden" name="amount" value="4000000" />...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="School Fee" item_amt="3835000" bank_id="8" acct_num="2017506430"...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="BT Education" item_amt="150000" bank_id="117" acct_num="1010764827"...',
-            self.browser.contents)
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="4000000" />'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee" item_amt="3535000" bank_id="8" acct_num="2017506430"'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="BT Education" item_amt="150000" bank_id="117" acct_num="1010764827"'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="T-SHIP" item_amt="100000" bank_id="72" acct_num="0061647254"'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="MTN-NET LIBRARY" item_amt="200000" bank_id="8" acct_num="20177722298"'
+            in self.browser.contents)
 
         # Create school fee ticket for returning students. Payment is made
@@ -133,15 +138,15 @@
         self.assertEqual(self.student['payments'][value].provider_amt, 1500.0)
         self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
-        self.assertMatches('...<input type="hidden" name="pay_item_id" value="5701" />...',
-                           self.browser.contents)
-        self.assertMatches(
-            '...<input type="hidden" name="amount" value="2000000" />...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="School Fee" item_amt="1835000" bank_id="16" acct_num="0122009929"...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="BT Education" item_amt="150000" bank_id="117" acct_num="1010764827"...',
-            self.browser.contents)
+        self.assertTrue('<input type="hidden" name="pay_item_id" value="5701" />'
+                           in self.browser.contents)
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="2000000" />'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee" item_amt="1835000" bank_id="16" acct_num="0122009929"'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="BT Education" item_amt="150000" bank_id="117" acct_num="1010764827"'
+            in self.browser.contents)
 
         # Create clearance fee ticket
@@ -182,6 +187,6 @@
         value = ctrl.options[2]
         self.browser.getLink(value).click()
-        self.assertMatches(
-            '...<span>234.0</span>...',
+        self.assertTrue(
+            '<span>234.0</span>',
             self.browser.contents)
         # Manager can access InterswitchForm
@@ -189,14 +194,14 @@
         self.assertEqual(self.student['payments'][value].provider_amt, 0.0)
         self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
-        self.assertMatches('...<input type="hidden" name="pay_item_id" value="5704" />...',
-                           self.browser.contents)
-        self.assertMatches('...Total Amount Authorized:...',
-                           self.browser.contents)
-        self.assertMatches(
-            '...<input type="hidden" name="amount" value="23400" />...',
-            self.browser.contents)
-        self.assertMatches(
-            '...<item_detail item_id="1" item_name="Gown Hire Fee" item_amt="8400" bank_id="16" acct_num="0122011401" />...',
-            self.browser.contents)
+        self.assertTrue('<input type="hidden" name="pay_item_id" value="5704" />'
+                           in self.browser.contents)
+        self.assertTrue('Total Amount Authorized:'
+                           in self.browser.contents)
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="23400" />'
+            in self.browser.contents)
+        self.assertTrue(
+            '<item_detail item_id="1" item_name="Gown Hire Fee" item_amt="8400" bank_id="16" acct_num="0122011401" />'
+            in self.browser.contents)
         self.assertFalse(
             'item_name="BT Education"' in self.browser.contents)
@@ -209,7 +214,6 @@
         value = ctrl.options[3]
         self.browser.getLink(value).click()
-        self.assertMatches(
-            '...<span>1000.0</span>...',
-            self.browser.contents)
+        self.assertTrue(
+            '<span>1000.0</span>' in self.browser.contents)
         self.student['payments'][value].approve()
 
@@ -221,21 +225,20 @@
         value = ctrl.options[4]
         self.browser.getLink(value).click()
-        self.assertMatches(
-            '...<span>8150.0</span>...',
-            self.browser.contents)
+        self.assertTrue(
+            '<span>8150.0</span>' in self.browser.contents)
         # Manager can access InterswitchForm
         self.browser.getLink("CollegePAY", index=0).click()
         self.assertEqual(self.student['payments'][value].provider_amt, 0.0)
         self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
-        self.assertMatches('...<input type="hidden" name="pay_item_id" value="5705" />...',
-                           self.browser.contents)
+        self.assertTrue('<input type="hidden" name="pay_item_id" value="5705" />'
+                         in self.browser.contents)
         self.assertMatches('...Total Amount Authorized:...',
                            self.browser.contents)
-        self.assertMatches(
-            '...<input type="hidden" name="amount" value="815000" />...',
-            self.browser.contents)
-        self.assertMatches(
-            '...<item_detail item_id="1" item_name="Hostel Maintenance Fee" item_amt="800000" bank_id="129" acct_num="0014419432" />...',
-            self.browser.contents)
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="815000" />'
+            in self.browser.contents)
+        self.assertTrue(
+            '<item_detail item_id="1" item_name="Hostel Maintenance Fee" item_amt="800000" bank_id="129" acct_num="0014419432" />'
+            in self.browser.contents)
         self.assertFalse(
             'item_name="BT Education"' in self.browser.contents)
@@ -283,19 +286,18 @@
         value = ctrl.options[5]
         self.browser.getLink(value).click()
-        self.assertMatches(
-            '...<span>200.0</span>...',
-            self.browser.contents)
+        self.assertTrue(
+            '<span>200.0</span>' in self.browser.contents)
         # Manager can access InterswitchForm
         self.browser.getLink("CollegePAY", index=0).click()
         self.assertEqual(self.student['payments'][value].provider_amt, 0.0)
         self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
-        self.assertMatches('...<input type="hidden" name="pay_item_id" value="5701" />...',
-                           self.browser.contents)
-        self.assertMatches(
-            '...<input type="hidden" name="amount" value="20000" />...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="School Fee" item_amt="5000" bank_id="16" acct_num="0122009929"...',
-            self.browser.contents)
+        self.assertTrue('<input type="hidden" name="pay_item_id" value="5701" />'
+                           in self.browser.contents)
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="20000" />'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee" item_amt="5000" bank_id="16" acct_num="0122009929"'
+            in self.browser.contents)
         self.assertFalse(
             'item_name="BT Education"' in self.browser.contents)
@@ -333,12 +335,12 @@
         self.browser.open(self.payments_path + '/xyz')
         self.browser.getLink("CollegePAY", index=0).click()
-        self.assertMatches('...<input type="hidden" name="pay_item_id" value="5702" />...',
-                           self.browser.contents)
-        self.assertMatches('...Total Amount Authorized:...',
-                           self.browser.contents)
+        self.assertTrue('<input type="hidden" name="pay_item_id" value="5702" />'
+                           in self.browser.contents)
+        self.assertTrue('Total Amount Authorized:'
+                           in self.browser.contents)
         self.assertEqual(self.student.current_mode, 'ug_ft')
-        self.assertMatches(
-            '...<input type="hidden" name="amount" value="87600" />...',
-            self.browser.contents)
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="87600" />'
+            in self.browser.contents)
         delta = timedelta(days=8)
         acc_payment.creation_date -= delta
@@ -477,14 +479,13 @@
         self.assertMatches('...Amount Authorized...',
                            self.browser.contents)
-        self.assertMatches(
-            '...<span>1000.0</span>...',
-            self.browser.contents)
+        self.assertTrue(
+            '<span>1000.0</span>' in self.browser.contents)
         # Manager can access InterswitchForm
         self.browser.getLink("CollegePAY", index=0).click()
         self.assertMatches('...Total Amount Authorized:...',
                            self.browser.contents)
-        self.assertMatches(
-            '...<input type="hidden" name="amount" value="100000" />...',
-            self.browser.contents)
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="100000" />'
+            in self.browser.contents)
         delta = timedelta(days=8)
         self.applicant.values()[0].creation_date -= delta