Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/browser/tests.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/wdu/browser/tests.py	(revision 13115)
+++ 	(revision )
@@ -1,50 +1,0 @@
-## $Id$
-##
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-import tempfile
-import shutil
-from zope.testbrowser.testing import Browser
-from zope.component.hooks import setSite, clearSite
-from zope.security.interfaces import Unauthorized
-from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.wdu.testing import FunctionalLayer
-from waeup.kofa.app import University
-
-class CustomPackageBrowserTests(FunctionalTestCase):
-
-    layer = FunctionalLayer
-
-    def setUp(self):
-        super(CustomPackageBrowserTests, self).setUp()
-
-        # Setup a sample site for each test
-        app = University()
-        self.dc_root = tempfile.mkdtemp()
-        app['datacenter'].setStoragePath(self.dc_root)
-
-        # Put the prepopulated site into test ZODB and prepare test
-        # browser
-        self.getRootFolder()['app'] = app
-        setSite(app)
-        self.browser = Browser()
-        self.browser.handleErrors = False
-
-    def tearDown(self):
-        super(CustomPackageBrowserTests, self).tearDown()
-        clearSite()
-        shutil.rmtree(self.dc_root)
-
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/tests/test_browser.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/tests/test_browser.py	(revision 13115)
+++ 	(revision )
@@ -1,37 +1,0 @@
-## $Id$
-##
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-import os
-import shutil
-import tempfile
-from StringIO import StringIO
-from hurry.workflow.interfaces import IWorkflowState, IWorkflowInfo
-from zope.securitypolicy.interfaces import IPrincipalRoleManager
-from zope.component.hooks import setSite, clearSite
-from zope.component import getUtility, createObject
-from zope.interface import verify
-from zope.event import notify
-from waeup.kofa.authentication import LocalRoleSetEvent
-from waeup.kofa.app import University
-from waeup.kofa.students.tests.test_browser import StudentsFullSetup
-from waeup.kofa.students.accommodation import BedTicket
-from waeup.kofa.testing import FunctionalTestCase
-from waeup.kofa.interfaces import (
-    IExtFileStore, IFileStoreNameChooser)
-from waeup.kofa.students.interfaces import IStudentsUtils
-from kofacustom.wdu.testing import FunctionalLayer
-
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/tests/test_export.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/tests/test_export.py	(revision 13115)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/students/tests/test_export.py	(revision 13116)
@@ -46,5 +46,5 @@
         result = open(self.outfile, 'rb').read()
         self.assertMatches(
-            'adm_code,alr_date,alr_fname,alr_no,alr_results,clearance_locked,'
+            'adm_code,alr_date,alr_fname,alr_no,alr_results,'
             'clr_code,date_of_birth,def_adm,disabled,email,emp2_end,'
             'emp2_position,emp2_reason,emp2_start,emp_end,emp_position,'
@@ -62,5 +62,5 @@
             'suspended,suspended_comment,password,state,history,certcode,is_postgrad,'
             'current_level,current_session\r\nmy adm code,,,,'
-            '"[(\'printing_craft_practice\', \'A1\')]",0,my clr code,1981-02-04#,,,'
+            '"[(\'printing_craft_practice\', \'A1\')]",my clr code,1981-02-04#,,,'
             'anna@sample.com,,,,,,,,,,,Anna,,,,,"[(\'printing_craft_practice\', \'A1\')]"'
             ',,,,,,,,,,,,,,,,Tester,,,234,M.,NG,,,,,,,,,'