Index: main/waeup.kofa/trunk/docs/source/userdocs/applicants/create_students.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/applicants/create_students.rst	(revision 13108)
+++ main/waeup.kofa/trunk/docs/source/userdocs/applicants/create_students.rst	(revision 13118)
@@ -74,11 +74,11 @@
       :noindex:
 
-5. Can the application slip can be created? Defective images may
+5. Can the application slip be created? Defective images may
    cause the adapter method to raise an exception (``IOError``).
 
 If all these checks are passed, a new student record is created, a
 password is set, the transitions ``create`` and ``admit`` are fired
-and all student study course attributes are set. These are the
-changes which affect the database.
+and all student study course attributes are set. All this is done
+in one database transaction.
 
 Furthermore, `createStudent` also produces an application slip pdf
@@ -89,8 +89,9 @@
 section is being purged.
 
-As mentioned above, folder creation and file copying are not being
-rolled back if the database transactions fails, e.g. due to write
-conflict errors. Therefore, batch student creation should only be
-performed if the portal is offline.
+As mentioned above, folder creation and file copying are not part of
+the transaction and are not being rolled back if the database
+transactions fails, for example due to write conflict errors.
+Therefore, batch student creation should only be performed if the
+portal is offline.
 
 
Index: main/waeup.kofa/trunk/docs/source/userdocs/browsing.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/browsing.rst	(revision 13108)
+++ main/waeup.kofa/trunk/docs/source/userdocs/browsing.rst	(revision 13118)
@@ -45,11 +45,11 @@
 
 Officers see a double-column theme after logging in. The left column
-contains a box which contains links to the user's preferences (My
-Preferences) and roles (My Roles). It also contains links to the
-various sections of Kofa depending on the permissions the officer
-has has obtained. Possible sections are: 'Portal Configuration',
-'Officers', 'Data Center', 'Reports' and 'Access Codes'. A second
-box shows up in the left column when the officer accesses an
-applicant or student record. This box gives direct access to the
+contains a box (side box) which contains links to the user's
+preferences (My Preferences) and roles (My Roles). It also contains
+links to the various sections of Kofa depending on the permissions
+the officer has has obtained. Possible sections are: 'Portal
+Configuration', 'Officers', 'Data Center', 'Reports' and 'Access
+Codes'. The side box expands when the officer accesses an
+applicant or student record. The box gives direct access to the
 pages of an applicant or student record respectively.
 
Index: main/waeup.kofa/trunk/docs/source/userdocs/configuration.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/configuration.rst	(revision 13108)
+++ main/waeup.kofa/trunk/docs/source/userdocs/configuration.rst	(revision 13118)
@@ -1,4 +1,58 @@
+Configuration and Customization
+*******************************
+
 .. _configuration:
 
-Portal Configuration and Customization :sup:`in progress`
-*********************************************************
+Portal Configuration
+====================
+
+There are many places in Kofa where portal parameters can be set or
+page descriptions can be added. These parameters are attributes of
+either dedicated configuration objects or of containers in the
+academics and applicants section. The latter have been described
+elsewehere. Here we explain the interfaces of the configuration
+section.
+
+Technically speaking, the portal configuration section is a
+container of type `ConfigurationContainer` with id ``configuration``
+which contains session configuration subcontainers::
+
+
+  Portal Configuration (ConfigurationContainer)
+  |
+  +--->SessionConfiguration
+
+Much like ``academics``, ``students``, ``applicants``, ``hostels``
+and ``documents``, also ``configuration`` is a unique container
+which is located in the `IUniversity` instance.
+
+Site Settings
+-------------
+
+The site setting parameters are the attributes of the configuration
+container to be set via the `ConfigurationContainerManageFormPage`.
+The page opens, if an officer with
+:py:class:`ManagePortalConfiguration<waeup.kofa.permissions.ManagePortalConfiguration>`
+permission clicks the 'Portal Configuration' link in the side box.
+
+.. literalinclude:: ../../../src/waeup/kofa/interfaces.py
+   :pyobject: IConfigurationContainer
+
+The page alows furthermore to add or access the containing session
+configuration objects.
+
+Session Settings
+----------------
+
+
+
+.. literalinclude:: ../../../src/waeup/kofa/interfaces.py
+   :pyobject: ISessionConfiguration
+
+
+
+
+.. _customization:
+
+Portal Customization
+====================