Index: /main/waeup.kofa/trunk/docs/source/developerdocs/index.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/index.rst	(revision 13119)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/index.rst	(revision 13120)
@@ -1,2 +1,4 @@
+.. _developer_handbook:
+
 Developer Handbook
 ******************
Index: /main/waeup.kofa/trunk/docs/source/userdocs/configuration.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/configuration.rst	(revision 13119)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/configuration.rst	(revision 13120)
@@ -1,20 +1,17 @@
-Configuration and Customization
-*******************************
-
 .. _configuration:
 
 Portal Configuration
-====================
+********************
 
 There are many places in Kofa where portal parameters can be set or
 page descriptions can be added. These parameters are attributes of
 either dedicated configuration objects or of containers in the
-academics and applicants section. The latter have been described
-elsewehere. Here we explain the interfaces of the configuration
-section.
+academics, applicants or data center sections. The latter have been
+described elsewehere. Here we explain the interfaces of the
+configuration section.
 
 Technically speaking, the portal configuration section is a
 container of type `ConfigurationContainer` with id ``configuration``
-which contains session configuration subcontainers::
+which contains session configuration subobjects::
 
 
@@ -28,31 +25,52 @@
 
 Site Settings
--------------
+=============
 
-The site setting parameters are the attributes of the configuration
-container to be set via the `ConfigurationContainerManageFormPage`.
-The page opens, if an officer with
+Site parameters are the attributes of the configuration container to
+be set via the `ConfigurationContainerManageFormPage`. The page
+opens, if an officer with
 :py:class:`ManagePortalConfiguration<waeup.kofa.permissions.ManagePortalConfiguration>`
 permission clicks the 'Portal Configuration' link in the side box.
+
+The `ConfigurationContainer` class implements exactly one interface:
+
 
 .. literalinclude:: ../../../src/waeup/kofa/interfaces.py
    :pyobject: IConfigurationContainer
 
-The page alows furthermore to add or access the containing session
-configuration objects.
+The page furthermore lists containing session configuration objects
+and allows to add them.
 
 Session Settings
-----------------
+================
 
+Session parameters are the attributes of session configuration
+objects. These parameters may vary between academic sessions.
+Particularly student fees, which often vary from one session to the
+next, can be configured here, if the portal has been customized
+accordingly, see :ref:`customization` below. The session
+configuration objects also serve to:
 
+- disable student payments for certain payment categories and
+  subgroups of students
+
+  See also `Disable Payment Groups
+  <https://kofa-demo.waeup.org/sources#collapseDisablePaymentGroups>`_
+  in the base package.
+
+- disable clearance by clearance officers for the selected session
+
+  If clearance is disabled, students can still fill and submit the
+  clearance form, but clearance officers can't process the clearance
+  requests afterwards. They can neither clear these students nor
+  reject their clearance request.
+
+- set the course registration deadline
+
+  If the course registration deadline is set, student can't register
+  courses unless they pay the late registration fee.
+
+Session configuration objects implement the following interface:
 
 .. literalinclude:: ../../../src/waeup/kofa/interfaces.py
    :pyobject: ISessionConfiguration
-
-
-
-
-.. _customization:
-
-Portal Customization
-====================
Index: /main/waeup.kofa/trunk/docs/source/userdocs/customization.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/customization.rst	(revision 13120)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/customization.rst	(revision 13120)
@@ -0,0 +1,32 @@
+.. _customization:
+
+Portal Customization
+********************
+
+Portal customization requires profound knowledge of the Python programming language. Customization is part of the portal deployment process. It can only be done by the custom package manager and activated by the system administrator, who is allowed to update/upgrade the package on the server and restart the portal. Usually, custom packages are not designed for regular reconfiguration. Due to the complexity of school fee computation at Nigerian universities, however, a lot of configuration had to be done in the Python code and can thus not be subject to online configuration. Technically speaking, the parameters are only loaded and registered once during start-up and are not stored in the database like the configuration parameters described in :ref:`configuration`.
+
+Kofa must not be customized by manipulating original Kofa code, i.e. by editing Python files, Zope page templates or ZCML configuration files in the Kofa base package. Customization is done by deploying a custom package which can inherit all the Python classes from the base package, in order to override distinct attributes and methods and register these customized classes instead of the orginal classes during start-up. It would go beyond the scope of the user handbook to explain, how to build such a Kofa custom package. This will be done in the :ref:`developer_handbook`. Here we roughly describe the three different customization approaches with a focus on the third approach, the customization of utility attributes and methods.
+
+Localization
+============
+
+Zope Interfaces
+===============
+
+Zope Utilities
+==============
+
+Zope utilities are dedicated to customization by overriding their methods in custom packages.
+
+Kofa Utils
+----------
+
+Students Utils
+--------------
+
+Applicants Utils
+----------------
+
+
+
+
Index: /main/waeup.kofa/trunk/docs/source/userdocs/index.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/index.rst	(revision 13119)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/index.rst	(revision 13120)
@@ -17,6 +17,7 @@
    users
    reports
+   mandates
    configuration
-   mandates
+   customization
    testing
    buildingdocs