Index: /main/waeup.kofa/trunk/docs/source/userdocs/customization.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/customization.rst	(revision 13120)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/customization.rst	(revision 13121)
@@ -4,10 +4,67 @@
 ********************
 
-Portal customization requires profound knowledge of the Python programming language. Customization is part of the portal deployment process. It can only be done by the custom package manager and activated by the system administrator, who is allowed to update/upgrade the package on the server and restart the portal. Usually, custom packages are not designed for regular reconfiguration. Due to the complexity of school fee computation at Nigerian universities, however, a lot of configuration had to be done in the Python code and can thus not be subject to online configuration. Technically speaking, the parameters are only loaded and registered once during start-up and are not stored in the database like the configuration parameters described in :ref:`configuration`.
+Portal customization requires profound knowledge of the Python
+programming language. Customization is part of the portal deployment
+process. It can only be done by the custom package manager and
+activated by the system administrator, who is allowed to
+update/upgrade the package on the server and restart the portal.
+Usually, custom packages are not designed for regular
+reconfiguration. Due to the complexity of school fee computation at
+Nigerian universities, however, a lot of configuration had to be
+done in the Python code and can thus not be subject to online
+configuration. Technically speaking, the parameters are only loaded
+and registered once during start-up and are not stored in the
+database like the configuration parameters described in
+:ref:`configuration`.
 
-Kofa must not be customized by manipulating original Kofa code, i.e. by editing Python files, Zope page templates or ZCML configuration files in the Kofa base package. Customization is done by deploying a custom package which can inherit all the Python classes from the base package, in order to override distinct attributes and methods and register these customized classes instead of the orginal classes during start-up. It would go beyond the scope of the user handbook to explain, how to build such a Kofa custom package. This will be done in the :ref:`developer_handbook`. Here we roughly describe the three different customization approaches with a focus on the third approach, the customization of utility attributes and methods.
+Kofa must not be customized by manipulating original Kofa code, i.e.
+by editing Python files, Zope page templates or ZCML configuration
+files in the Kofa base package. Customization is done by deploying a
+custom package which can inherit all the Python classes from the
+base package, in order to override distinct attributes and methods
+and register these customized classes instead of the orginal classes
+during start-up. It would go beyond the scope of the user handbook
+to explain, how to build such a Kofa custom package. This will be
+done in the :ref:`developer_handbook`. Here we roughly describe the
+three different customization approaches with a focus on the third
+approach, the customization of utility attributes and methods.
 
 Localization
 ============
+
+The base language of the Kofa User Interface (Kofa UI) is English.
+The English language regime has been specified by WAeUP's first
+customer, the University of Benin in Nigeria. Kofa is language-aware,
+which means it has been translated into different languages (German
+and French so far), and the preferred language can be selected via
+the UI. The Kofa UI translations and also the English language
+regime can be localized in custom packages by overriding single
+entries of the language files. Headlines, field labels, field
+descriptions, navigation tabs, buttons, page comments, flash
+messages etc. can be easily adjusted to the needs of the institution
+which wants to deploy Kofa.
+
+Kofa is using the `GNU gettext utilities
+<http://www.gnu.org/software/gettext>`_ for translation and
+localization. Translation is done via ``po`` text files which are
+located in the ``locales`` folder of a package. Each language has
+its own subfolder. Localized English Kofa terms, for intance, can be
+found in ``locales/en/LC_MESSAGES/waeup.kofa.po``. A single
+entry/message consists of two lines.
+
+Example::
+
+  msgid "Login"
+  msgstr "Let me in"
+
+``msgid`` contains the original term from the base package,
+``msgstr`` contains its localized/translated version, which results
+into a renamed login tab on the right side of the navigation bar.
+
+``po`` files must be compiled before restarting the portal. Editing
+and compilation of ``po`` files can be done with a nice tool called
+'Poedit' which is `available <https://poedit.net/download>`_ for
+various operating systems.
+
 
 Zope Interfaces
@@ -29,4 +86,2 @@
 
 
-
-